package agilpizza.modelo.pizza;

public class Endereco implements Cloneable{
	public String rua;
	public Integer numero;
	public String complemento;
	public String bairro;
	public String cep;
	public String nome;
	public String telefone;
	public String referencia;
	public String pagamento;	
	
	public Endereco(){}

	public Endereco(String rua, Integer numero, String complemento,
			String bairro, String cep, String nome, String telefone, 
			String referencia, String pagamento) {
		this.rua = rua;
		this.numero = numero;
		this.complemento = complemento;
		this.bairro = bairro;
		this.cep = cep;
		this.nome= nome;
		this.telefone = telefone;
		this.referencia = referencia;
		this.pagamento = pagamento;
	}

	public String getBairro() {
		return bairro;
	}

	public String getCep() {
		return cep;
	}

	public String getComplemento() {
		return complemento;
	}

	public Integer getNumero() {
		return numero;
	}

	public String getRua() {
		return rua;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getTelefone() {
		return telefone;
	}

	public void setTelefone(String telefone) {
		this.telefone = telefone;
	}

	public String getReferencia() {
		return referencia;
	}

	public void setReferencia(String referencia) {
		this.referencia = referencia;
	}

	public String getPagamento() {
		return pagamento;
	}

	public void setPagamento(String pagamento) {
		this.pagamento = pagamento;
	}

	public void setRua(String rua) {
		this.rua = rua;
	}

	public void setNumero(Integer numero) {
		this.numero = numero;
	}

	public void setComplemento(String complemento) {
		this.complemento = complemento;
	}

	public void setBairro(String bairro) {
		this.bairro = bairro;
	}

	public void setCep(String cep) {
		this.cep = cep;
	}
	
	
}
